from fermiinstallclass import FermiInstallClass 
import iutil

class InstallClass(FermiInstallClass):
    name = ("OSS Workgroup upgrade")
    pixmap = "oss.up.png"
    sortPriority = 10
    
    parentClass = ( "Upgrade", "upgrade.png" )

    def requiredDisplayMode(self):
        return 't'

    def setSteps(self, dispatch):
	dispatch.setStepList(
		    "language",
		    "keyboard",
		    "mouse",
		    "welcome",
		    "installtype",
                    "findrootparts",
		    "findinstall",
                    "partitionobjinit",
                    "upgrademount",
                    "upgradeswapsuggestion",
		    "addswap",
                    "upgrademigfind",
                    "upgrademigratefs",
                    "upgradecontinue",
                    "readcomps",
                    "findpackages",
                    "upgbootloader",
                    "checkdeps",
		    "dependencies",
		    "confirmupgrade",
		    "install",
                    "migratefilesystems",
                    "preinstallconfig",
                    "installpackages",
                    "postinstallconfig",
                    "instbootloader",
                    "dopostaction",
		    "bootdisk",
		    "complete"
		)

        if iutil.getArch() == "alpha" or iutil.getArch() == "ia64":
	    dispatch.skipStep("bootdisk")
            dispatch.skipStep("bootloader")
            dispatch.skipStep("bootloaderpassword")
	
	dispatch.skipStep("bootdisk")
	dispatch.skipStep("language")
	dispatch.skipStep("keyboard")
	dispatch.skipStep("welcome")

    def setInstallData(self, id):
        FermiInstallClass.setInstallData(self, id)
        id.upgrade.set(1)
    
    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
